/*
 * 7. Ondoko programa inplementatu JAVA erabiliz:Bi kotxe (bi hari) izango ditugu. 
 * Kotxeak “+” eta “*” ikurrekin adieraziko dira (bakoitza lerro batean) 
 * eta ezkerretik eskuinera mugituko dira (mugimendu bakoitzean posizio bakar bat aurreratuz), 
 * kotxe bakoitza abiadura desberdin batekin.
 * Jon Dorronsoro Maioz
 * 2020-09-29
 */
class Idazlea7 extends Thread {
	private String baiEz;
	private int denbora, kopurua;
	private Pantaila7 p;
	public Idazlea7(String s, int i, int j, Pantaila7 pant) {
		baiEz = s;
		denbora = i;
		kopurua = j;
		p = pant;
	}
	public void run() {
		try {
			if (baiEz.equals("*")) {
				for (int i=0;i<kopurua;i++) {
					p.margotuA(i);
					sleep(denbora);
				}
			} else {
				for (int i=0;i<kopurua;i++) {
					p.margotuP(i);
					sleep(denbora);
				}
			}
		} catch (InterruptedException e) {
		}
	}
}
class Pantaila7 {
	static int posA = 0;
	static int posP = 0;
	public static void margotuA(int non) {
		posA=non;
		garbitu();
		for (int j = 0; j < posA; j++) {
			System.out.print(" ");
		}
		System.out.println("*");
		for (int j = 0; j < posP; j++) {
			System.out.print(" ");
		}
		System.out.println("+");
	}
	public static void margotuP(int non) {
		posP=non;
		garbitu();
		for (int j = 0; j < posA; j++) {
			System.out.print(" ");
		}
		System.out.println("*");
		for (int j = 0; j < posP; j++) {
			System.out.print(" ");
		}
		System.out.println("+");
	}
	public static void garbitu() {
		for (int i = 0; i < 24; i++) {
			System.out.println();
		}
	}
}
class Arik7 {
	public static void main(String args[]) {
		Pantaila7 p = new Pantaila7();
		Idazlea7 bai = new Idazlea7("*", 400, 20, p);
		Idazlea7 ez = new Idazlea7("+", 650, 20, p);
		bai.start();
		ez.start();
	}
}

